Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Oct 2024 11:02:35 +0300

> From: [email-masked]
> Date: Fri, 11 Oct 2024 12:18:57 -0400
> 
> Setup:
> 
> 1. install `ligature.el` from melpa.
> 
> 2. start `emacs -Q` and execute the attached script or simply use the attached script as the `init.el`.
> 
> 3. open the attached `init.el` file and execute `init-faces` or hit "C-#" to start randomizing the font faces,
> 
> 4. eventually you will see some characters gets rendered with extra spaces (sample screenshots provided below), hit "C-!" to stop the randomization,
> 
> 5. hitting "C-return" will randomize font once, which might be useful for you find debug,

I cannot reproduce the problem on my system.  I've let Emacs randomize
the fonts for quite some time, and everything keeps rendering
correctly without the extra spaces.  When you say "eventually", how
long do you typically wait until the problem appears?

(As two deviations from your init.el, I used a different font
(Cascadia Code), since I don't have JetBrains Mono installed; and I
replaces use-package with the equivalent Lisp, since I don't want to
install ligatures.el on this system.  I don't think these two
deviations should matter, but I mention them FTR.)

I think this might be system-dependent.  Can someone try this in a
Cairo build on GNU/Linux and see if the problem reproduces?